# Generated from pact-mock_service-3.12.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pact-mock_service

Name: rubygem-%{gem_name}
Version: 3.12.3
Release: 1%{?dist}
Summary: Provides a mock service for use with Pact
License: MIT
URL: https://github.com/bethesque/pact-mock_service
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rack-test) >= 0.7
# BuildRequires: rubygem(rack-test) < 3.0
# BuildRequires: rubygem(webmock) >= 3.4
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(fakefs) >= 2.4
# BuildRequires: rubygem(fakefs) < 3
# BuildRequires: rubygem(hashie) >= 2.0
# BuildRequires: rubygem(hashie) < 3
# BuildRequires: rubygem(activesupport) >= 5.1
# BuildRequires: rubygem(activesupport) < 6
# BuildRequires: rubygem(faraday) >= 0.12
# BuildRequires: rubygem(faraday) < 1
# BuildRequires: rubygem(octokit) >= 4.7
# BuildRequires: rubygem(octokit) < 5
# BuildRequires: rubygem(conventional-changelog) >= 1.3
# BuildRequires: rubygem(conventional-changelog) < 2
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
BuildArch: noarch

%description
Provides a mock service for use with Pact.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pact-mock-service
%{_bindir}/pact-stub-service
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 07 2024 mockbuilder - 3.12.3-1
- Initial package
